summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStefano Karapetsas <[email protected]>2011-12-23 23:15:59 +0100
committerStefano Karapetsas <[email protected]>2011-12-23 23:15:59 +0100
commitca41f4595899eb337d01ace01f852ec578152ec3 (patch)
tree95c1aeb7a201d13d7e52ab4eb6cf21bc4f5359ef /autogen.sh
parentc3b4e76655aa6b675ba01f5af12ff375a8cd2a8c (diff)
downloadmate-indicator-applet-ca41f4595899eb337d01ace01f852ec578152ec3.tar.bz2
mate-indicator-applet-ca41f4595899eb337d01ace01f852ec578152ec3.tar.xz
remove autogenerated files, add autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..847906a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="mate-indicator-applet"
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which mate-autogen.sh || {
+ echo "You need to install mate-common from the MATE Git"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.10
+REQUIRED_GTK_DOC_VERSION=1.13
+USE_MATE2_MACROS=1
+
+. mate-autogen.sh
+